UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
3,542 Views
Registered: ‎07-22-2013

PlanAhead 14.6 won't run; 13.4 worked fine

Jump to solution

I just installed ISE 14.6 on a machine that's been running 13.4 with no problems.

 

When I try to run PlanAhead from command line (after running settings64.sh--it's a 64-bit machine), I get the error below.  I tried a clean Linux install and tried it under both RHEL (actually CentOS) 6.4 and Ubuntu 12.04.  Didn't find any information from Google.  Has anyone seen this before?

 

Thanks,

Willis

 

 

INFO: [Common 17-78] Attempting to get a license:

PlanAhead INFO: [Common 17-290] Got license for PlanAhead

invalid command name "rdi::load_library" while executing "rdi::load_library core librdi_coretasks" (file "/opt/Xilinx/14.6/ISE_DS/PlanAhead/lib/scripts/rdi/features/core/core.tcl" line 5)

ERROR: [Common 17-217] Failed to load feature 'core'. while executing "source -notrace /opt/Xilinx/14.6/ISE_DS/PlanAhead/lib/scripts/rdi/features/core/core.tcl" invoked from within "load_features base core planahead ipservices" (file "/opt/Xilinx/14.6/ISE_DS/PlanAhead/lib/scripts/rdi/products/PlanAhead.tcl" line 5)

INFO: [Common 17-206] Exiting PlanAhead at Mon Jul 22 23:49:10 2013...

INFO: [Common 17-83] Releasing license: PlanAhead

0 Kudos
1 Solution

Accepted Solutions
Highlighted
4,339 Views
Registered: ‎07-22-2013

Re: PlanAhead 14.6 won't run; 13.4 worked fine

Jump to solution

Thanks for your reply.

 

Starting in tcl mode didn't fix it--but I figured out what was wrong.  The installation file was corrupt!  It's the correct size and untarred without any problems, but the MD5 hash doesn't match the one on the download page.  I re-downloaded, this time without the Akamai Download Manager (is that why you were asking about the Java version?), now the MD5 has matches and PlanAhead works fine.  Ironic that the "download manager" corrupted the download.  You'd think that the least it would do would be to check the integrity of the download.

 

Thanks again,

Willis

 

View solution in original post

0 Kudos
2 Replies
Xilinx Employee
Xilinx Employee
3,533 Views
Registered: ‎04-16-2012

Re: PlanAhead 14.6 won't run; 13.4 worked fine

Jump to solution

Hi,

 

Try running planAhead in tcl mode. Command below

 

planAhead -mode tcl

start_gui

 

Also what is the java version you are using?

 

Thanks.

--------------------------------------------------------------------------------------------
Have you tried typing your question in Google? If not you should before posting. Also, MARK this is as an answer in case it helped resolve your query/issue.Give kudos to the post that helped you to find the solution.
0 Kudos
Highlighted
4,340 Views
Registered: ‎07-22-2013

Re: PlanAhead 14.6 won't run; 13.4 worked fine

Jump to solution

Thanks for your reply.

 

Starting in tcl mode didn't fix it--but I figured out what was wrong.  The installation file was corrupt!  It's the correct size and untarred without any problems, but the MD5 hash doesn't match the one on the download page.  I re-downloaded, this time without the Akamai Download Manager (is that why you were asking about the Java version?), now the MD5 has matches and PlanAhead works fine.  Ironic that the "download manager" corrupted the download.  You'd think that the least it would do would be to check the integrity of the download.

 

Thanks again,

Willis

 

View solution in original post

0 Kudos